Allow host group titles in safe mode

10/01/2019 05:04 PM - Oleh Fedorenko

Status: Closed   

Priority: Normal   

Assignee: Oleh Fedorenko   

Category: Host groups   

Target version: 1.24.0   

Difficulty:  Fixed in Releases: 1.24.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7075

  

Description

As part of https://github.com/theforeman/foreman_ansible/pull/299 I want host group titles to be available within the template and

thus in the generated report.

I'm aware of the fact that host group names are available in the safe mode, but there is no way to get the nesting, e.g. what nesting

has a certain host group. The easiest way is to reuse titles (which are used in UI).

History

#1 - 10/02/2019 10:13 AM - Oleh Fedorenko

- Status changed from Assigned to Closed

- Pull request https://github.com/theforeman/foreman/pull/7075 added

- Fixed in Releases 1.24.0 added

#2 - 10/02/2019 10:18 AM - Oleh Fedorenko

Applied in changeset 5e4cc920ac4266a0a3126ed2bcb87ffb5aed6c09.
